com.google.gwt.user.cellview.client

## Interface RowStyles<T>

Type Parameters:
  `T` - the data type of each row

    public interface RowStyles<T>

A description of how rows are to be styled in a `CellTable`.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getStyleNames(T row, int rowIndex)` Get extra style names that should be applied to a row.

### Method Detail

#### getStyleNames

    java.lang.String getStyleNames(T row,
                                   int rowIndex)

Get extra style names that should be applied to a row.

Parameters:
  `row` - the data stored in the row.
  `rowIndex` - the zero-based index of the row.
Returns:
  the extra styles of the given row in a space-separated list, or `null` if there are no extra styles for this row.